<?

include_once 'sys/inc/start.php';

include_once 'sys/inc/compress.php';

include_once 'sys/inc/sess.php';

include_once 'sys/inc/home.php';

include_once 'sys/inc/settings.php';

include_once 'sys/inc/db_connect.php';

include_once 'sys/inc/ipua.php';

include_once 'sys/inc/fnc.php';

include_once 'sys/inc/user.php';

only_reg();

$set['title']='Обитатели fibik.tk'; // заголовок страницы

include_once 'sys/inc/thead.php';

title();

aut();

$sort='id';

$por='DESC';

echo "<div class='menu'>\n";

echo "<img src='/img/tabor/search.gif' alt='' /> Введите ID или НИК юзера<br/>\n";

echo "</div>\n";

echo "<div class='str'>\n";

echo "<form method=\"post\" action=\"/users.php?go&amp;sort=$sort&amp;$por\">";

echo "<input type=\"text\" name=\"usearch\" maxlength=\"16\" value=\"$usearch\" /><br />\n";

echo "<input type=\"submit\" value=\"Найти юзера\" />";

$rand=mysql_query("SELECT * FROM `user` WHERE `date_last` > '".(time()-600)."' ORDER BY rand() LIMIT 5");
echo "<div class='p_m'>";
echo "<center>В центре внимания</center><br />";
$check=mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `date_last` > '".(time()-600)."'"),0);
if ($check==0)
{
echo "<center>Нет юзеров онлайн</center>";
}
else
{
while ($ank=mysql_fetch_array($rand))
{
echo "<a href='/info.php?id=$ank[id]'>";
avatar40($ank['id']);
echo "</a>";
}
}

echo "</div>\n";

if (isset($_GET['ASC']))$por='ASC'; // прямой порядок

if (isset($_GET['DESC']))$por='DESC'; // обратный порядок

if (isset($_GET['sort']))

{

switch ($_GET['sort']) {

case 'balls':$sort='balls'; // баллы

break;

case 'level':$sort='level'; // уровень

break;

case 'rating':$sort='rating'; // рейтинг

break;

case 'pol':$sort='pol'; // пол

break;

case 'id':$sort='id'; // ID

break;

}

}

if (!isset($_GET['go']))

{

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `user`"),0);

$k_page=k_page($k_post,$set['p_str']);

$page=page($k_page);

$start=$set['p_str']*$page-$set['p_str'];

echo "<div class='menu'>\n";

echo"Сорт: ";

echo "<a href=\"?sort=time&amp;page=$page\">время</a> | \n";

echo "<a href=\"?sort=balls&amp;DESC&amp;page=$page\">баллы</a> |\n";

echo "<a href=\"?sort=rating&amp;DESC&amp;page=$page\">рейтинг</a> |\n";

echo "<a href=\"?sort=pol&amp;ASC&amp;page=$page\">пол</a> |\n";

echo "<a href=\"?sort=id&amp;DESC&amp;page=$page\">новые</a> |\n";

echo "</div>\n";


if ($k_post==0)

{

echo "Нет результатов\n";

}

$q=mysql_query("SELECT * FROM `user` ORDER BY `$sort` $por LIMIT $start, $set[p_str]");

while ($ank = mysql_fetch_array($q))

{

$seg = time(); $uge = $seg-$ank['date_reg'];

echo "<div class='rowup'>\n";

echo "".avatar2($ank['id'])."".online($ank['id'])."";

echo " <a href='/info.php?id=$ank[id]'>$ank[nick]</a> <br>\n";

if ($ank['ank_name']!=NULL)echo "<img src='img/bullet.png' alt=''>Имя: $ank[ank_name]<br />\n"; else echo "<img src='img/bullet.png' alt=''>Имя: Не заполнено<br />\n";

if ($ank['ank_city']!=NULL)echo "<img src='img/bullet.png' alt=''>Город: $ank[ank_city]<br />\n"; else echo "<img src='img/bullet.png' alt=''>Город: Не заполнено<br />\n";

if (isset($user) && $user['id']!=$ank['id']){echo "<img src='img/tabor/bullet.png' alt=''>Написать:  <a href=\"/mail.php?id=$ank[id]\">Записку</a><br />\n";}

if (isset($user) && $user['id']!=$ank['id']){echo "<img src='img/tabor/bullet.png' alt=''>Посмотреть: <a href='/ank.php?id=$ank[id]'>Анкету</a><br>\n";}

echo "<img src='img/bullet.png' alt=''>Статус:\n ";

if ($ank['level']==0)echo "[<span style='color:#FF0000;'>Пользователь</span>]<br />\n";

elseif ($ank['level']==1)echo "[<span style='color:#FF0000;'>Модер</span>]<br />\n";

elseif ($ank['level']==2)echo "[<span style='color:#FF0000;'>С.Модер</span>]<br />\n";

elseif ($ank['level']==3)echo "[<span style='color:#FF0000;'>Админ</span>]<br />\n";

elseif ($ank['level']==4)echo "[<span style='color:#FF0000;'><b>создатель</b></span>]<br />\n";

echo "</div>\n";

if ($sort=='pol')

echo "Пол: ".(($ank['pol']==1)?'Мужской':'Женский')."<br />\n";

if ($sort=='id')
echo "<div class='menu'>\n";
echo "Регистрация: ".vremja($ank['date_reg'])."<br />\n";

echo "Посл. посещение: ".vremja($ank['date_last'])."<br />\n";
echo "</div>\n";
if (isset($user) && ($user['level']>$ank['level'] || $user['level']==4) && isset($access['user_ed']))

{

echo "<a href='/vip_kuz/user.php?id=$ank[id]'>Редактировать профиль</a><br />\n";
echo "</div>\n";
}

}

if ($k_page>1)str("users.php?sort=$sort&amp;$por&amp;",$k_page,$page); // Вывод страниц

}

$usearch=NULL;

if (isset($_SESSION['usearch']))$usearch=$_SESSION['usearch'];

if (isset($_POST['usearch']))$usearch=$_POST['usearch'];

if ($usearch==NULL)

unset($_SESSION['usearch']);

else

$_SESSION['usearch']=$usearch;

$usearch=ereg_replace("( ){1,}","",$usearch);

if (isset($_GET['go']) && $usearch!=NULL)

{

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `nick` like '%".mysql_escape_string($usearch)."%' OR `id` = '".intval($usearch)."'"),0);

$k_page=k_page($k_post,$set['p_str']);

$page=page($k_page);

$start=$set['p_str']*$page-$set['p_str'];

echo "<div class='menu'>\n";


echo "<a href=\"?go&amp;sort=balls&amp;DESC&amp;page=$page\">баллы</a> \n";

echo "<a href=\"?go&amp;sort=level&amp;DESC&amp;page=$page\">статус</a> \n";

echo "<a href=\"?go&amp;sort=rating&amp;DESC&amp;page=$page\">рейтинг</a> \n";

echo "<a href=\"?go&amp;sort=id&∓ASC&amp;page=$page\">id</a> \n";

echo "<a href=\"?go&amp;sort=pol&amp;ASC&amp;page=$page\">пол</a> \n";

echo "<a href=\"?go&amp;sort=id&amp;DESC&amp;page=$page\">новые</a> \n";

echo "</div>\n";

if ($k_post==0)

{

echo "Нет результатов\n";

}

$q=mysql_query("SELECT * FROM `user` WHERE `nick` like '%".mysql_escape_string($usearch)."%' OR `id` = '".intval($usearch)."' ORDER BY `$sort` $por LIMIT $start, $set[p_str]");

while ($ank = mysql_fetch_array($q))

{

echo "<div class='end'>\n";

echo "".avatar2($ank['id'])."".online($ank['id'])." ";

echo " <a href='/info.php?id=$ank[id]'>$ank[nick]</a>\n";

if ($ank['level']==1)echo "[<span style='color:#FF0000;'>Модер</span>]<br />\n";

elseif ($ank['level']==2)echo "[<span style='color:#FF0000;'>С.Модер</span>]<br />\n";

elseif ($ank['level']==3)echo "[<span style='color:#FF0000;'>Админ</span>]<br />\n";

elseif ($ank['level']==4)echo "[<span style='color:#FF0000;'><b>создатель</b></span>]<br />\n";

echo "</div>\n";

if ($sort=='rating')

echo "Рейтинг: $ank[rating]<br />\n";

if ($sort=='balls')

echo "Рейтинг: $ank[balls]<br />\n";

if ($sort=='pol')

echo "Пол:</span> <span class=\"ank_d\">".(($ank['pol']==1)?'Мужской':'Женский')."</span><br />\n";

if ($sort=='id')

echo "Регистрация: ".vremja($ank['date_reg'])."<br />\n";

echo "Посл. посещение: ".vremja($ank['date_last'])."<br />\n";

if (isset($user) && ($user['level']>$ank['level'] || $user['level']==4) && isset($access['user_ed']))

echo "<a href='/adm_panel/user.php?id=$ank[id]'>Редактировать профиль</a><br />\n";

}

if ($k_page>1)str("users.php?go&amp;sort=$sort&amp;$por&amp;",$k_page,$page); // Вывод страниц

}

include_once 'sys/inc/tfoot.php';

?>?

include_once 'sys/inc/start.php';

include_once 'sys/inc/compress.php';

include_once 'sys/inc/sess.php';

include_once 'sys/inc/home.php';

include_once 'sys/inc/settings.php';

include_once 'sys/inc/db_connect.php';

include_once 'sys/inc/ipua.php';

include_once 'sys/inc/fnc.php';

include_once 'sys/inc/user.php';

only_reg();

$set['title']='Обитатели fibik.tk'; // заголовок страницы

include_once 'sys/inc/thead.php';

title();

aut();

$sort='id';

$por='DESC';

echo ∓